commit:     187a4f6cb3a1162e11d714fa40ccbd558f1d22cb
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 20 23:42:57 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Sun Dec 20 23:43:13 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=187a4f6c

net-misc/httpie: bump to v2.3.0

Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 net-misc/httpie/Manifest            |  1 +
 net-misc/httpie/httpie-2.3.0.ebuild | 55 +++++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/net-misc/httpie/Manifest b/net-misc/httpie/Manifest
index 3ac6cc3fa6e..3a819235b23 100644
--- a/net-misc/httpie/Manifest
+++ b/net-misc/httpie/Manifest
@@ -1 +1,2 @@
 DIST httpie-2.2.0.tar.gz 1761927 BLAKE2B 
3ce8acf4abf9cb189315e07e7f9c8dfc1b0a537696a2c9fd795e8e944c85c1df8e7e13fbaee68d3b93115296ba048e664d31245fe2c6b832123818292b4fac8d
 SHA512 
00c1f34041854319816d7d643a79358723c27a3744f405d629b5361685745bfdd8ce0a0f127cb3d6746e46405d24562625ca37733a5955809d7bfc077ae5c533
+DIST httpie-2.3.0.tar.gz 1769401 BLAKE2B 
e9bb5ca9ebb5fde3bed66ba15c46cccff1f8d5d01841f954fe4d19be92d3282cd3c19e1fc34b42fe1c36798438aa116f5bb91147864be9d8ee37030cb7796e16
 SHA512 
d0c5b46075892e9d6df76c1e3b430fcd768238c7fbdeda51368dc1bc7c657efc901088ccb7f1e6fc6e4f54dde4c9bcbe626dfa926c8ca1a6bcfd12e522414505

diff --git a/net-misc/httpie/httpie-2.3.0.ebuild 
b/net-misc/httpie/httpie-2.3.0.ebuild
new file mode 100644
index 00000000000..d0e3cc6c187
--- /dev/null
+++ b/net-misc/httpie/httpie-2.3.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+PYTHON_REQ_USE="ssl(+)"
+
+inherit bash-completion-r1 distutils-r1
+
+DESCRIPTION="Modern command line HTTP client"
+HOMEPAGE="https://httpie.org/ https://pypi.org/project/httpie/";
+SRC_URI="https://github.com/jakubroztocil/httpie/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-python/pygments[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.22.0[${PYTHON_USEDEP}]
+       >=dev-python/requests-toolbelt-0.9.1[${PYTHON_USEDEP}]"
+BDEPEND="test? (
+               ${RDEPEND}
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/pyopenssl[${PYTHON_USEDEP}]
+               dev-python/pytest-httpbin[${PYTHON_USEDEP}]
+       )"
+
+distutils_enable_tests pytest
+
+python_test() {
+       local skipped_tests=()
+
+       if has network-sandbox ${FEATURES} ; then
+               skipped_tests+=(
+                       tests/test_uploads.py::test_chunked_json
+                       tests/test_uploads.py::test_chunked_form
+                       tests/test_uploads.py::test_chunked_stdin
+                       
tests/test_uploads.py::TestMultipartFormDataFileUpload::test_multipart_chunked
+                       
tests/test_uploads.py::TestRequestBodyFromFilePath::test_request_body_from_file_by_path_chunked
+               )
+       fi
+
+       pytest -v ${skipped_tests[@]/#/--deselect } || die "Tests failed with 
${EPYTHON}"
+}
+
+python_install_all() {
+       newbashcomp extras/httpie-completion.bash http
+       insinto /usr/share/fish/vendor_completions.d
+       newins extras/httpie-completion.fish http.fish
+       distutils-r1_python_install_all
+}

Reply via email to